ChangeSet 1.1276.1.35, 2003/08/27 11:29:25-07:00, bellucda@tiscali.it

[PATCH] Another bad audit in drivers/usb/*: usblp

Another better audit:
- If usb_register failes report back its return value
  rather than -1


 drivers/usb/class/usblp.c |    9 ++++++---
 1 files changed, 6 insertions(+), 3 deletions(-)


diff -Nru a/drivers/usb/class/usblp.c b/drivers/usb/class/usblp.c
--- a/drivers/usb/class/usblp.c	Tue Sep  2 12:44:28 2003
+++ b/drivers/usb/class/usblp.c	Tue Sep  2 12:44:28 2003
@@ -1150,10 +1150,13 @@
 
 static int __init usblp_init(void)
 {
-	if (usb_register(&usblp_driver))
-		return -1;
+	int retval;
+	retval = usb_register(&usblp_driver);
+	if (retval)
+		goto out;
 	info(DRIVER_VERSION ": " DRIVER_DESC);
-	return 0;
+out:
+	return retval;
 }
 
 static void __exit usblp_exit(void)
